module Mameya
    ( mainMameya
    , argsMameya
    ) where

import System.Environment
import Mameya.New
import Mameya.Build
import Mameya.Server
import Mameya.Deploy
import Mameya.Help

mainMameya :: IO ()
mainMameya = do
    args <- getArgs
    argsMameya args

argsMameya :: [String] -> IO ()
argsMameya args = do
    case args of
        ["new", dirName] -> mameyaNew dirName
        ["build"] -> mameyaBuild
        ["server"] -> mameyaServer
        ["deploy"] -> mameyaDeploy
        ["help"] -> mameyaHelp
        ["version"] -> mameyaHelp
        _ -> mameyaHelp
